[Python-modules-commits] r26381 - in packages/scipy/trunk/debian/tests (atlas atlas)
jtaylor-guest at users.alioth.debian.org
jtaylor-guest at users.alioth.debian.org
Sun Nov 3 20:41:48 UTC 2013
Date: Sunday, November 3, 2013 @ 20:41:46
Author: jtaylor-guest
Revision: 26381
make atlas test a real file copy instead of symlink
Added:
packages/scipy/trunk/debian/tests/atlas
Deleted:
packages/scipy/trunk/debian/tests/atlas
Deleted: packages/scipy/trunk/debian/tests/atlas
===================================================================
--- packages/scipy/trunk/debian/tests/atlas 2013-11-03 20:39:58 UTC (rev 26380)
+++ packages/scipy/trunk/debian/tests/atlas 2013-11-03 20:41:46 UTC (rev 26381)
@@ -1 +0,0 @@
-link openblas
\ No newline at end of file
Added: packages/scipy/trunk/debian/tests/atlas
===================================================================
--- packages/scipy/trunk/debian/tests/atlas (rev 0)
+++ packages/scipy/trunk/debian/tests/atlas 2013-11-03 20:41:46 UTC (rev 26381)
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -efu
+blaslib=$(update-alternatives --list libblas.so.3 | grep $(basename $0))
+update-alternatives --set libblas.so.3 $blaslib
+
+echo "=== testing "$(basename $0)" ==="
+
+# one python is enough
+PYS=${PYS:-"$(pyversions -d 2>/dev/null)"}
+
+#test only modules that link against libblas
+PYS=$PYS TESTPKG=scipy.odr debian/tests/python2
+PYS=$PYS TESTPKG=scipy.optimize debian/tests/python2
+PYS=$PYS TESTPKG=scipy.spatial debian/tests/python2
+PYS=$PYS TESTPKG=scipy.lib.lapack debian/tests/python2
+PYS=$PYS TESTPKG=scipy.lib.blas debian/tests/python2
+PYS=$PYS TESTPKG=scipy.special debian/tests/python2
+PYS=$PYS TESTPKG=scipy.integrate debian/tests/python2
+PYS=$PYS TESTPKG=scipy.linalg debian/tests/python2
Property changes on: packages/scipy/trunk/debian/tests/atlas
___________________________________________________________________
Added: svn:executable
+ *
More information about the Python-modules-commits
mailing list